Eclipse GEF 3.3

## org.eclipse.gef.editparts
Class GridLayer

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Layer
              org.eclipse.draw2d.FreeformLayer
                  org.eclipse.gef.editparts.GridLayer

All Implemented Interfaces:
  FreeformFigure, IFigure

public class GridLayer
extends FreeformLayer

This is a layer that displays the grid. The default grid color is `light gray`. To change the grid color, set the foreground color for this layer.

Since:
  3.0

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary
`protected int` `gridX` Field indicating the horizontal grid spacing
`protected int` `gridY` Field for the vertical grid spacing
`protected Point` `origin` Field indicating what the grid origin is.

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`GridLayer()` Constructor Sets the default grid color: ColorConstants.lightGray

Method Summary
`Dimension` `getPreferredSize(int wHint, int hHint)` Overridden to indicate no preferred size.
`protected void` `paintFigure(Graphics graphics)`
`protected void` `paintGrid(Graphics g)` Paints the grid.
`void` `setOrigin(Point p)` Sets the origin of the grid.
`void` `setSpacing(Dimension spacing)` Sets the horizontal and vertical spacing of the grid.

Methods inherited from class org.eclipse.draw2d.FreeformLayer
`add, addFreeformListener, fireExtentChanged, fireMoved, getFreeformExtent, primTranslate, remove, removeFreeformListener, setFreeformBounds`

Methods inherited from class org.eclipse.draw2d.Layer
`containsPoint, findFigureAt`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Field Detail

### gridX

    protected int gridX

  Field indicating the horizontal grid spacing

### gridY

    protected int gridY

  Field for the vertical grid spacing

### origin

    protected Point origin

  Field indicating what the grid origin is. This is used simply to determine the offset from 0,0.

Constructor Detail

### GridLayer

    public GridLayer()

  Constructor Sets the default grid color: ColorConstants.lightGray

Method Detail

### getPreferredSize

    public Dimension getPreferredSize(int wHint,
                                      int hHint)

  Overridden to indicate no preferred size. The grid layer should not affect the size of the layered pane in which it is placed.

  See Also:
    `Figure.getPreferredSize(int, int)`

### paintFigure

    protected void paintFigure(Graphics graphics)

  See Also:
    `Figure.paintFigure(org.eclipse.draw2d.Graphics)`

### paintGrid

    protected void paintGrid(Graphics g)

  Paints the grid. Sub-classes can override to customize the grid's look. If this layer is being used with SnapToGrid, this method will only be invoked when the `visibility` property is set to true.

  Parameters:
    `g` - The Graphics object to be used to do the painting
  See Also:
    `FigureUtilities.paintGrid(Graphics, IFigure, Point, int, int)`

### setOrigin

    public void setOrigin(Point p)

  Sets the origin of the grid. The origin is used only to determine the offset from 0,0.

  Parameters:
    `p` - the origin

### setSpacing

    public void setSpacing(Dimension spacing)

  Sets the horizontal and vertical spacing of the grid. A grid spacing of 0 will be replaced with the `default` spacing. A negative spacing will cause no grid lines to be drawn for that dimension.

  Parameters:
    `spacing` - A Dimension representing the horizontal (width) and vertical (height) gaps

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.